package org.springblade.activity.dto.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ActivityPageQuery {

	@ApiModelProperty(value = "活动主题")
	private String activityName;

	@ApiModelProperty(value = "产品类型")
	private Integer productId;

	@ApiModelProperty(value = "活动负责人ID")
	private Integer responsibleId;

	@ApiModelProperty(value = "活动形式")
	private String activityType;

	@ApiModelProperty(value = "渠道")
	private Integer channelId;

}
