package org.springblade.activity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.activity.dto.query.ActivityPageQuery;
import org.springblade.activity.dto.vo.BladeActivityPageVo;
import org.springblade.activity.entity.BladeActivity;
import org.springblade.activity.mapper.BladeActivityMapper;
import org.springblade.activity.service.IBladeActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 活动管理表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-04-21
 */
@Service
public class BladeActivityServiceImpl extends ServiceImpl<BladeActivityMapper, BladeActivity> implements IBladeActivityService {

	@Autowired
	private BladeActivityMapper bladeActivityMapper;

	@Override
	public IPage<BladeActivityPageVo> getPageByQuery(IPage<BladeActivityPageVo> page, ActivityPageQuery pageQuery) {
		return bladeActivityMapper.getPageByQuery(page,pageQuery);
	}
}
