package org.springblade.audit.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

@Data
public class AuditFileDTO {

	@ApiModelProperty(value = "报表名称")
	private String reportName;

	@ApiModelProperty(value = "报表分类")
	private String reportType;

	@ApiModelProperty(value = "上传文件")
	private MultipartFile file;

	@ApiModelProperty(value = "上传审核记录ID  审核，驳回时需要传值，上传时不需要")
	private Long auditId;

	@ApiModelProperty(value = "备注（驳回理由），驳回时需要传递")
	private String remark;

	@ApiModelProperty(value = "月份")
	private Long theMonth;
}
