package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 不规范定制处罚明细数据
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Data
@TableName("INT_PROVINCE_IRREGULAR")
@ExcelIgnoreUnannotated
public class IntProvinceIrregularDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 投诉单号
     */
	@ApiModelProperty(value = "投诉单号")
	@ExcelProperty(index = 0)
	@TableField("TS_ID")
    private String tsId;

    /**
     * 业务名称
     */
	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 1)
	@TableField("SPNAME")
    private String spname;


    /**
     * 号码
     */
	@ApiModelProperty(value = "号码")
	@ExcelProperty(index = 2)
	@TableField("USERID")
    private String userid;

    /**
     * 结单月份
     */
	@ApiModelProperty(value = "结单月份")
	@ExcelProperty(index = 3)
	@TableField("ACC_MONTH")
    private String accMonth;

    /**
     * 省份
     */
	@ApiModelProperty(value = "省份")
	@ExcelProperty(index = 4)
	@TableField("PROVINCE")
    private String province;


}
