package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2022-02-10
 */
@Data
@ExcelIgnoreUnannotated
public class StreamDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "省份编码")
	@ExcelProperty(index = 0)
	@TableField("PROVINCE")
    private String province;

	@ApiModelProperty(value = "地市名称")
	@ExcelProperty(index = 1)
	@TableField("AREA")
    private String area;

	@ApiModelProperty(value = "合作伙伴代码")
	@ExcelProperty(index = 2)
	@TableField("COMPANYID")
    private String companyid;

	@ApiModelProperty(value = "SP名称")
	@ExcelProperty(index = 3)
	@TableField("SPNAME")
    private String spname;

	@ApiModelProperty(value = "业务类型名称")
	@ExcelProperty(index = 4)
	@TableField("SERVICETYPENAME")
    private String servicetypename;

	@ApiModelProperty(value = "业务代码")
	@ExcelProperty(index = 5)
	@TableField("SERVICEID")
    private String serviceid;

	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 6)
	@TableField("SERVICENAME")
    private String servicename;

	@ApiModelProperty(value = "产品代码")
	@ExcelProperty(index = 7)
	@TableField("PRODUCTID")
    private String productid;

	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(index = 8)
	@TableField("PRODUCTNAME")
    private String productname;

	@ApiModelProperty(value = "订购量")
	@ExcelProperty(index = 9)
	@TableField("ORDERNUM")
    private String ordernum;

	@ApiModelProperty(value = "省份应收")
	@ExcelProperty(index = 10)
	@TableField("PROVINCECOST")
    private String provincecost;

	@ApiModelProperty(value = "结算金额")
	@ExcelProperty(index = 11)
	@TableField("ACCOUTCOST")
    private String accoutcost;

	@ApiModelProperty(value = "退赔费")
	@ExcelProperty(index = 12)
	@TableField("RECEDECOST")
    private String recedecost;

	@ApiModelProperty(value = "不均衡通道费")
	@ExcelProperty(index = 13)
	@TableField("CHANNELCOST")
    private String channelcost;

	@ApiModelProperty(value = "二十条费用")
	@ExcelProperty(index = 14)
	@TableField("TWENTYCOST")
    private String twentycost;

	@ApiModelProperty(value = "调账金额")
	@ExcelProperty(index = 15)
	@TableField("TRUNCOST")
    private String truncost;

	@ApiModelProperty(value = "违约扣款金额")
	@ExcelProperty(index = 16)
	@TableField("BREAKCOST")
    private String breakcost;


}
