package org.springblade.audit.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 400扣罚明细表
 * </p>
 *
 * @author zbc
 * @since 2021-12-06
 */
@Data
@TableName("INT_400_DISCOUNT")
public class IntFzzDiscount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Long themonth;

    /**
     * 投诉时间
     */
    private Date acceptTime;

    /**
     * 来电号码
     */
    private String dialPhonenum;

    /**
     * 受理号码
     */
    private String acceptPhonenum;

    /**
     * 所属公司
     */
    private String company;

    /**
     * 业务类型
     */
    private String serviceStyle;

    /**
     * 业务种类
     */
    private String serviceType;

    /**
     * SP代码
     */
    private String spcode;

    /**
     * 业务名称
     */
    private String spname;

    /**
     * 业务ID
     */
    private String spid;

    /**
     * 归属省
     */
    private String province;

    /**
     * 退费方式
     */
    private String refundType;

    /**
     * 充值号码
     */
    private String chargePhone;

    /**
     * 申请金额
     */
    private Double applyMoney;

    /**
     * 受理方式
     */
    private String acceptWay;

    /**
     * 受理工号
     */
    private String serviceNo;

    /**
     * 投诉类型
     */
    private String complaintType;

    /**
     * 退费原因
     */
    private String refundReason;

    /**
     * 具体描述
     */
    private String describe;

    /**
     * 处理结果
     */
    private String handleResult;


}
