package org.springblade.audit.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.audit.entity.AuditStreamDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.customer.entity.CustomerReport;
import org.springblade.customer.query.CustomerReportQuery;

/**
 * <p>
 * 客服数据表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2022-02-11
 */
public interface AuditStreamDetailMapper extends BaseMapper<AuditStreamDetail> {

    IPage<CustomerReport> getPageByQuery(IPage<CustomerReport> page,@Param("query")  CustomerReportQuery pageQuery);

}
