/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springblade.audit.entity.YksytRefundForCp;

/**
 * 其它渠道-替CP退费表 Mapper 接口
 *
 * @author zbc
 * @since 2022-05-20
 */
public interface YksytRefundForCpMapper extends BaseMapper<YksytRefundForCp> {

	void giveSpidSoul(@Param("theMonth") String theMonth);

	void giveSpidSoulTwo(@Param("theMonth") String theMonth);

	void settingFileTag(@Param("theMonth") String theMonth);

}
