/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.audit.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.audit.entity.CwFactIncome;

/**
 * 财务-全网业务基地实收报表 服务类
 *
 * @author zbc
 * @since 2022-06-06
 */
public interface ICwFactIncomeService extends IService<CwFactIncome> {


    void giveSpidSoul(String theMonth);

	void giveSpidSoulTwo(String theMonth);

	void giveSpidSoulThree(String theMonth);

}
