package org.springblade.audit.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.audit.entity.AuditStreamDetail;
import org.springblade.audit.mapper.AuditStreamDetailMapper;
import org.springblade.audit.service.IAuditStreamDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.customer.entity.CustomerReport;
import org.springblade.customer.query.CustomerReportQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客服数据表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-02-11
 */
@Service
public class AuditStreamDetailServiceImpl extends ServiceImpl<AuditStreamDetailMapper, AuditStreamDetail> implements IAuditStreamDetailService {

	@Autowired
	private AuditStreamDetailMapper auditStreamDetailMapper;


	@Override
	public IPage<CustomerReport> getPageByQuery(IPage<CustomerReport> page, CustomerReportQuery pageQuery) {
		return auditStreamDetailMapper.getPageByQuery(page,pageQuery);
	}
}
