package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.audit.entity.MidCsComplaintDetail;
import org.springblade.audit.mapper.MidCsComplaintDetailMapper;
import org.springblade.audit.service.IMidCsComplaintDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客服投诉明细表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-08
 */
@Service
@DS("slave")
public class MidCsComplaintDetailServiceImpl extends ServiceImpl<MidCsComplaintDetailMapper, MidCsComplaintDetail> implements IMidCsComplaintDetailService {

	@Autowired
	private MidCsComplaintDetailMapper midCsComplaintDetailMapper;

	@Override
	public void updateSpid() {
		midCsComplaintDetailMapper.updateSpid();
	}

	@Override
	public void updateSpidf() {
		midCsComplaintDetailMapper.updateSpidf();
	}

}
