package org.springblade.bignet.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 大网数据管理表
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
@Data
@Accessors(chain = true)
public class BladeBignet implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "分类名称")
    private String bignetName;

	@ApiModelProperty(value = "分类ID")
    private Long bignetTypeId;

	@ApiModelProperty(value = "报表模板")
    private String reportTemplate;

	@ApiModelProperty(value = "负责人名称")
    private String principal;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	@ApiModelProperty(value = "修改时间")
    private Date updateTime;


}
