package org.springblade.capcancel.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * CAP统一失效数
 * </p>
 *
 * @author zbc
 * @since 2021-08-25
 */
@Data
@Accessors(chain = true)
public class CapCancelNum implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Long themonth;

    /**
     * 产品ID
     */
    private String spid;

    /**
     * 产品名称
     */
    private String spname;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String area;

    /**
     * 统一退订数量
     */
    private Long cancelnum;

    /**
     * 1：输出；0：不输出
     */
    private Double output;


}
