package org.springblade.capcancel.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 本地有CAP没有
 * </p>
 *
 * @author zbc
 * @since 2021-08-26
 */
@Data
@Accessors(chain = true)
public class CapNoKcYes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Long themonth;

    /**
     * 产品ID
     */
    private String spid;

    /**
     * 产品名称
     */
    private String spname;

    /**
     * 平台有CAP没有
     */
    private Long kcYesCapNo;

    /**
     * 其中已取消数
     */
    private Long cancelednum;

    /**
     * 1：输出；0：不输出
     */
    private Double output;

    /**
     * 1：是；0：否
     */
    private Double isbold;

    /**
     * 排序权重
     */
    private Double weight;


}
