package org.springblade.capcancel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.capcancel.entity.CapCancelNum;
import org.springblade.capcancel.vo.CapCancelNumVO;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * <p>
 * CAP统一失效数 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-08-25
 */
public interface CapCancelNumMapper extends BaseMapper<CapCancelNum> {

	List<CapCancelNumVO> getListByMonth(@Param("month") String month);

	List<String> getSpnameList();

	List<LinkedHashMap<String, Object>> getPivotList(@Param("sql") StringBuffer buffer);
}
