package org.springblade.channel.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.channel.dto.query.ChannelPageQuery;
import org.springblade.channel.entity.BladeChannel;
import org.springblade.channel.mapper.BladeChannelMapper;
import org.springblade.channel.service.IBladeChannelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Service
public class BladeChannelServiceImpl extends ServiceImpl<BladeChannelMapper, BladeChannel> implements IBladeChannelService {

	@Autowired
	private BladeChannelMapper bladeChannelMapper;

	@Override
	public IPage<BladeChannel> getPageByQuery(IPage<BladeChannel> page, ChannelPageQuery pageQuery) {
		return bladeChannelMapper.getPageByQuery(page,pageQuery);
	}

}
