package org.springblade.complaints.entity;

import org.springblade.core.mp.base.BaseEntity;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客诉管理
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */

@Data
@TableName("blade_customer_complaints")
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "BladeCustomerComplaints对象", description = "客诉管理")
public class BladeCustomerComplaints extends BaseEntity {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "客诉分类名称")
    private String complaintName;

	@ApiModelProperty(value = "客诉分类ID")
    private String complaintId;

	@ApiModelProperty(value = "报表模板")
    private String reportTemplate;

	@ApiModelProperty(value = "负责人")
	private String principal;

}
