package org.springblade.complaints.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.complaints.dto.query.CustomerComplaintsReportPageQuery;
import org.springblade.complaints.entity.BladeCustomerComplaintsReport;

/**
 * <p>
 * 客诉报表管理 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */
public interface BladeCustomerComplaintsReportMapper extends BaseMapper<BladeCustomerComplaintsReport> {

    IPage<BladeCustomerComplaintsReport> getPageByQuery(IPage<BladeCustomerComplaintsReport> page,@Param("query") CustomerComplaintsReportPageQuery pageQuery);
}
