package org.springblade.complaints.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.complaints.dto.query.CustomerComplaintsReportPageQuery;
import org.springblade.complaints.entity.BladeCustomerComplaintsReport;
import org.springblade.complaints.mapper.BladeCustomerComplaintsReportMapper;
import org.springblade.complaints.service.IBladeCustomerComplaintsReportService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客诉报表管理 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */
@Service
public class BladeCustomerComplaintsReportServiceImpl extends BaseServiceImpl<BladeCustomerComplaintsReportMapper, BladeCustomerComplaintsReport> implements IBladeCustomerComplaintsReportService {

	@Autowired
	private BladeCustomerComplaintsReportMapper bladeCustomerComplaintsReportMapper;

	@Override
	public IPage<BladeCustomerComplaintsReport> getPageByQuery(IPage<BladeCustomerComplaintsReport> page, CustomerComplaintsReportPageQuery pageQuery) {
		return bladeCustomerComplaintsReportMapper.getPageByQuery(page,pageQuery);
	}
}
