package org.springblade.customer.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 客服不规范扣罚数据表
 * </p>
 *
 * @author zbc
 * @since 2021-08-24
 */
@Data
@ExcelIgnoreUnannotated
public class FctCsIrregularMoneyDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 责任方代码
     */
	@ApiModelProperty(value = "责任方代码")
	@ExcelProperty(index = 2)
    private String spcode;

    /**
     * 责任方名称
     */
	@ApiModelProperty(value = "责任方名称")
	@ExcelProperty(index = 3)
    private String spcodename;

    /**
     * 业务类型
     */
	@ApiModelProperty(value = "业务类型")
	@ExcelProperty(index = 4)
    private String btype;

    /**
     * 合作性质
     */
	@ApiModelProperty(value = "合作性质")
	@ExcelProperty(index = 5)
    private String partnertype;

    /**
     * 责任方类型
     */
	@ApiModelProperty(value = "责任方类型")
	@ExcelProperty(index = 6)
    private String sptype;

    /**
     * 投诉账期
     */
	@ApiModelProperty(value = "投诉账期")
	@ExcelProperty(index = 7)
    private String complaintMonth;

    /**
     * 扣款金额
     */
	@ApiModelProperty(value = "扣款金额")
	@ExcelProperty(index = 8)
    private String money;

    /**
     * 全网/省分
     */
	@ApiModelProperty(value = "全网/省分")
	@ExcelProperty(index = 9)
    private String areatype;

    /**
     * 省分
     */
	@ApiModelProperty(value = "省分")
	@ExcelProperty(index = 10)
    private String province;

    /**
     * 扣罚结果
     */
	@ApiModelProperty(value = "扣罚结果")
	@ExcelProperty(index = 11)
    private String result;

    /**
     * 原因
     */
	@ApiModelProperty(value = "原因")
	@ExcelProperty(index = 12)
    private String reason;


}
