package org.springblade.customer.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 会员池渠道字典表
 * </p>
 *
 * @author zbc
 * @since 2022-02-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DimVipid implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 唯一编号
     */
    private Double id;

    /**
     * 渠道
     */
    private String vipid;

    /**
     * 渠道名（备注）
     */
    private String vname;

    /**
     * 渠道分类
     */
    private String ctype;

    /**
     * 公司
     */
    private String company;

    /**
     * 产品类型
     */
    private String ptype;

    /**
     * 权益类型
     */
    private String qytype;

    /**
     * 商务负责人
     */
    private String buss;

    /**
     * 销售单价
     */
    private Double saleprice;

    /**
     * 销售单价编辑人
     */
    private String salepriceOper;

    /**
     * 销售单价编辑时间
     */
    private Date salepriceOptime;

    /**
     * 成本单价
     */
    private Double costprice;

    /**
     * 成本单价编辑人
     */
    private String costpriceOper;

    /**
     * 成本单价时间
     */
    private Date costpriceOptime;


}
