package org.springblade.customer.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客服不规范扣罚数据表
 * </p>
 *
 * @author zbc
 * @since 2021-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FctCsIrregularMoney implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Long themonth;

    /**
     * 责任方代码
     */
    private String spcode;

    /**
     * 责任方名称
     */
    private String spcodename;

    /**
     * 业务类型
     */
    private String btype;

    /**
     * 合作性质
     */
    private String partnertype;

    /**
     * 责任方类型
     */
    private String sptype;

    /**
     * 投诉账期
     */
    private Long complaintMonth;

    /**
     * 扣款金额
     */
    private Double money;

    /**
     * 全网省分
     */
    private String areatype;

    /**
     * 省分
     */
    private String province;

    /**
     * 扣罚结果
     */
    private String result;

    /**
     * 原因
     */
    private String reason;

	/**
	 * 批次号
	 */
	private String batchNum;


}
