package org.springblade.customer.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客服PRM违约明细
 * </p>
 *
 * @author zbc
 * @since 2021-08-24
 */
@Data
@Accessors(chain = true)
public class FctPrmViolation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 时间维度类型
     */
    private String dtype;

    /**
     * 时间维度值
     */
    private Long thedvalue;

    /**
     * 代码
     */
    private String spcode;

    /**
     * 产品ID
     */
    private String spid;

    /**
     * 省分
     */
    private String province;

    /**
     * 违约产品
     */
    private String spname;

    /**
     * 投诉发生月份
     */
    private String complaintMonth;

    /**
     * 违约审批月份
     */
    private String violationApproveMonth;

    /**
     * 违约等级
     */
    private String violationLevel;

    /**
     * 违约描述
     */
    private String violationDesc;

    /**
     * 扣款状态
     */
    private String deductStatus;

    /**
     * 扣款
     */
    private Double deductMoney;

	/**
	 * 批次号
	 */
	private String batchNum;


}
