package org.springblade.customer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 流量一点看全-PRM投诉
 * </p>
 *
 * @author zbc
 * @since 2023-02-08
 */
@Data
@TableName("LL_ALLIN1_CS_PRM")
public class LlAllin1CsPrm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Integer themonth;

    /**
     * 合作伙伴名称
     */
    private String spcdoename;

    /**
     * 合作伙伴代码
     */
    private String spcode;

    /**
     * 业务类型名称
     */
    private String servicename;

    /**
     * 业务类型代码
     */
    private String servicecode;

    /**
     * 业务名称
     */
    private String spname;

    /**
     * 业务代码
     */
    private String productcode;

    /**
     * 产品名称
     */
    private String productname;

    /**
     * 产品代码
     */
    private String productid;

    /**
     * 投诉类型名称
     */
    private String complaintTypename;

    /**
     * 投诉类型代码
     */
    private String complaintType;

    /**
     * 不规范定制
     */
    private String irregular;

    /**
     * 省分
     */
    private String province;

    /**
     * 地市
     */
    private String area;

    /**
     * 合作性质
     */
    private String partnerType;

    /**
     * 全网/省分
     */
    private String wholenet;

    /**
     * 派单时间
     */
    private String startTime;

    /**
     * 投诉量
     */
    private String complaintNum;

    /**
     * 投诉内容
     */
    private String complaintDetail;

    /**
     * sp订购/点播指令
     */
    private String spOrderCode;

    /**
     * sp订购/点播接入号
     */
    private String spOrderNo;

    /**
     * 责任方代码
     */
    private String spcode2;

    /**
     * 责任方名称
     */
    private String spcodename2;

    /**
     * 结单时间
     */
    private String finishTime;

    /**
     * 投诉单号
     */
    private String complaintNo;

    /**
     * 投诉编号
     */
    private String complaintItemno;

    /**
     * 状态
     */
    private String status;

    /**
     * 申诉状态
     */
    private String statusPlead;

    private String channelid;


}
