package org.springblade.customer.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.customer.entity.CustomerReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.customer.query.CustomerReportQuery;

/**
 * <p>
 * 客服数据表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-10-20
 */
public interface CustomerReportMapper extends BaseMapper<CustomerReport> {

	IPage<CustomerReport> getPageByQuery(IPage<CustomerReport> page, @Param("query") CustomerReportQuery pageQuery);

}
