package org.springblade.customer.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.customer.entity.DimVipid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.customer.query.DimVipQuery;

/**
 * <p>
 * 会员池渠道字典表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2022-02-09
 */
public interface DimVipidMapper extends BaseMapper<DimVipid> {

	IPage<DimVipid> getPageByQuery(IPage<DimVipid> page,@Param("query")  DimVipQuery pageQuery);

    void sysOperationLog(@Param("id") Double id, @Param("openType") String openType, @Param("oldPrice") Double oldPrice,@Param("newPrice") Double newPrice,@Param("realName") String realName);
}
