package org.springblade.customer.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.customer.entity.CustomerReport;
import org.springblade.customer.mapper.CustomerReportMapper;
import org.springblade.customer.query.CustomerReportQuery;
import org.springblade.customer.service.ICustomerReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客服数据表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-10-20
 */
@Service
public class CustomerReportServiceImpl extends ServiceImpl<CustomerReportMapper, CustomerReport> implements ICustomerReportService {

	@Autowired
	private CustomerReportMapper customerReportMapper;

	@Override
	public IPage<CustomerReport> getPageByQuery(IPage<CustomerReport> page, CustomerReportQuery pageQuery) {
		return customerReportMapper.getPageByQuery(page,pageQuery);
	}
}
