package org.springblade.dataextraction.enity;

import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 查询结果
 * 
 * @author William Lin
 *
 */
@Data
@TableName("V_FCT_FETCHED_ORDERS_HZ")
public class VFctFetchedOrdersHz implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@TableField(value = "TASKID")
	private Integer taskid; // 任务ID

	@TableField(value = "USERID")
	private String userid; // 手机号码

	@TableField(value = "THEMONTH")
	private Long themonth; // 月份

	@TableField(value = "PROVINCE")
	private String province; // 省份

	@TableField(value = "AREA")
	private String area; // 地市

	@TableField(value = "SPID")
	private String spid; // 产品ID

	@TableField(value = "SHORTNAME")
	private String shortname; // 产品名称

	@TableField(value = "ORDERTIME")
	private Date ordertime; // 订购时间

	@TableField(value = "ORDERCHANNEL")
	private String orderchannel; // 订购渠道ID

	@TableField(value = "ORDERCHANNELNAME")
	private String orderchannelname; // 订购渠道名称
	
	@TableField(value = "ORDERBELONGTO")
	private String orderbelongto; // 订购渠道名称

	@TableField(value = "CANCELTIME")
	private Date canceltime; // 退订时间

	@TableField(value = "CANCELCHANNEL")
	private String cancelchannel; // 退订渠道ID

	@TableField(value = "CANCELCHANNELNAME")
	private String cancelchannelname; // 退订渠道名称
	
	@TableField(value = "CANCELBELONGTO")
	private String cancelbelongto; // 退订渠道类别

	@TableField(value = "VIPNUMS")
	private Integer vipnums; // 会员领取数

	@TableField(value = "FLOWS")
	private Integer flows; // 流量消耗

	@TableField(value = "CNUMS")
	private Integer cnums; // 投诉数
}