package org.springblade.dataextraction.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.dataextraction.enity.EtlProvinceArea;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Desc
 * @Author William
 * @DateTime 2022 下午4:30:42
 */
public interface EtlProvinceAreaMapper extends BaseMapper<EtlProvinceArea> {
	@Select("select distinct province from ETL_PROVINCE_AREA order by province")
	public List<String> provinces();
	
	@Select("SELECT\r\n"
			+ "	DISTINCT area\r\n"
			+ "FROM\r\n"
			+ "	ETL_PROVINCE_AREA\r\n"
			+ "WHERE\r\n"
			+ "	province = #{province}\r\n"
			+ "ORDER BY\r\n"
			+ "	area")
	public List<String> citys(String province);
}
