/**
 *
 */
package org.springblade.finance.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.finance.entity.FinanceBillAuditUser;
import org.springblade.finance.entity.YksytFinanceBillAuditUser;

import java.io.Serializable;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("推送优酷收银台结算单参数")
public class ParamPushYksyt implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "结算单ID")
	private Long sid;

	@ApiModelProperty(value = "审核人列表")
	private List<YksytFinanceBillAuditUser> userList;
}
