package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 结算方用户字典表
 * </p>
 *
 * @author zbc
 * @since 2022-08-31
 */
@Data
@TableName("V_DEAL_USERS")
public class DealUsersView implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "结算用户ID。用来创建渠道方账号，一一对应。")
    private String dealUserid;

	@ApiModelProperty(value = "结算方名称（公司、渠道，用于创建账号下拉选择）")
    private String dealUserName;

	@ApiModelProperty(value = "公司名称（可以用与结算单的公司名/结算方名称）")
    private String company;

	@ApiModelProperty(value = "结算模块（账户类型）。1：社会渠道；2：互联网1渠道；3：互联网2渠道（其它渠道）；4：会员权益；5：内部渠道；")
    private Integer module;


}
