package org.springblade.finance.entity;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 互联网结算渠道表
 * </p>
 *
 * @author zbc
 * @since 2021-11-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IntChannels implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 渠道ID
     */
    private String channelid;

    /**
     * 结算渠道名称
     */
    private String channelname;

    /**
     * 公司名称
     */
    private String company;

	/**
	 * 录入人
	 */
	private String inputter;

	/**
	 * 录入时间
	 */
	private Date inputTime;

	/**
	 * 审核人
	 */
	private String checker;

	/**
	 * 审核时间
	 */
	private Date checkTime;


}
