package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-11-29
 */
@Data
@TableName("INT_ONDATERANGE_ACCOUNT_FILE")
@ApiModel(value = "IntOndaterangeAccountFile对象", description = "结算表上传文件关联表")
public class IntOndaterangeAccountFile implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "结算表序号")
	@TableField("SID")
    private Integer sid;

	@ApiModelProperty(value = "文件上传路径")
	@TableField("FILE_PATH")
    private String filePath;

	@ApiModelProperty(value = "上传人")
	@TableField("UPLOAD_USER")
    private String uploadUser;

	@ApiModelProperty(value = "文件编号")
	@TableField("FILE_CODE")
    private String fileCode;

	@ApiModelProperty(value = "上传文件名")
	@TableField("FILE_NAME")
	private String fileName;

	@ApiModelProperty(value = "上传时间")
	@TableField("UPLOAD_TIME")
    private Date uploadTime;


}
