package org.springblade.finance.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 其它结算单唯一固定编号表
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class YksytAccountSid implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 结算单序号
     */
    private Double sid;

    /**
     * 结算月份
     */
    private Long themonth;

    /**
     * 渠道ID
     */
    private String channelid;

    /**
     * 产品ID
     */
    private String spid;


}
