package org.springblade.finance.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.finance.entity.IntChannelSpid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.finance.query.ChannelSpidPageQuery;
import org.springblade.finance.vo.ChannelSpidVO;

import java.util.List;

/**
 * <p>
 * 互联网结算渠道产品对照表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-11-24
 */
public interface IntChannelSpidMapper extends BaseMapper<IntChannelSpid> {

    IPage<ChannelSpidVO> getPageByQuery(IPage<ChannelSpidVO> page,@Param("asList") List<String> asList);
}
