package org.springblade.finance.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springblade.finance.entity.YksytFinanceBillAudit;

import java.util.List;

/**
 * <p>
 * 结算单审核表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
public interface YksytFinanceBillAuditMapper extends BaseMapper<YksytFinanceBillAudit> {

    List<Long> customAidList(Page<YksytFinanceBillAudit> page,@Param(Constants.WRAPPER) QueryWrapper<YksytFinanceBillAudit> queryWrapper);

	long customCount(@Param(Constants.WRAPPER) QueryWrapper<YksytFinanceBillAudit> queryWrapper);

	List<YksytFinanceBillAudit> customList(@Param(Constants.WRAPPER) QueryWrapper<YksytFinanceBillAudit> queryWrapper);

}
