/**
 * 
 */
package org.springblade.finance.service;

import java.util.List;

import org.springblade.finance.entity.FinanceBillAudit;
import org.springblade.finance.mapper.FinanceBillAuditMapper;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author wookvn
 *
 */
@Service
@DS("slave")
public class FinanceBillAuditService extends ServiceImpl<FinanceBillAuditMapper, FinanceBillAudit> {

	/**
	 * 根据条件查询所有AID
	 * @param queryWrapper
	 * @return
	 */
	public List<Long> customAidList(IPage<FinanceBillAudit> page, QueryWrapper<FinanceBillAudit> queryWrapper){
		return baseMapper.customAidList(page, queryWrapper);
	}
	/**
	 * 分页查询
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	public List<FinanceBillAudit> customList(QueryWrapper<FinanceBillAudit> queryWrapper){
		return baseMapper.customList(queryWrapper);
	}
	
	/**
	 * 
	 * @param queryWrapper
	 * @return
	 */
	public long customCount(QueryWrapper<FinanceBillAudit> queryWrapper) {
		return baseMapper.customCount(queryWrapper);
	}
}
