package org.springblade.finance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.finance.entity.IntChannelSpid;
import org.springblade.finance.vo.ChannelSpidVO;

import java.util.List;

/**
 * <p>
 * 互联网结算渠道产品对照表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-11-24
 */
public interface IIntChannelSpidService extends IService<IntChannelSpid> {

	IPage<ChannelSpidVO> getPageByQuery(IPage<ChannelSpidVO> page, List<String> asList);

}
