package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.finance.entity.IntChannelSpidToCheck;
import org.springblade.finance.mapper.IntChannelSpidToCheckMapper;
import org.springblade.finance.service.IIntChannelSpidToCheckService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 互联网结算渠道产品审核表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-20
 */
@Service
@DS("slave")
public class IntChannelSpidToCheckServiceImpl extends ServiceImpl<IntChannelSpidToCheckMapper, IntChannelSpidToCheck> implements IIntChannelSpidToCheckService {

	@Autowired
	private IntChannelSpidToCheckMapper intChannelSpidToCheckMapper;

	@Override
	public void sysSpname() {
		intChannelSpidToCheckMapper.sysSpname();
	}
}
