package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springblade.finance.entity.YksytFinanceBillAudit;
import org.springblade.finance.mapper.YksytFinanceBillAuditMapper;
import org.springblade.finance.service.IYksytFinanceBillAuditService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 结算单审核表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Service
@DS("slave")
public class YksytFinanceBillAuditServiceImpl extends ServiceImpl<YksytFinanceBillAuditMapper, YksytFinanceBillAudit> implements IYksytFinanceBillAuditService {

	@Autowired
	private YksytFinanceBillAuditMapper yksytFinanceBillAuditMapper;


	@Override
	public List<Long> customAidList(Page<YksytFinanceBillAudit> page, QueryWrapper<YksytFinanceBillAudit> queryWrapper) {
		return yksytFinanceBillAuditMapper.customAidList(page,queryWrapper);
	}

	@Override
	public long customCount(QueryWrapper<YksytFinanceBillAudit> queryWrapper) {
		return yksytFinanceBillAuditMapper.customCount(queryWrapper);
	}

	@Override
	public List<YksytFinanceBillAudit> customList(QueryWrapper<YksytFinanceBillAudit> queryWrapper) {
		return yksytFinanceBillAuditMapper.customList(queryWrapper);
	}
}
