package org.springblade.imports.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Data
public class FctStandingBookSingleDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "DID")
	private Long dId;

	@ApiModelProperty(value = "onDid 插入行上一行的did")
	private Long onDid;

	@ApiModelProperty(value = "unDid 插入行下一行的did")
	private Long unDid;

	@ApiModelProperty(value = "结算时间")
	private String themonth;

	@ApiModelProperty(value = "产品名称")
	private String spname;

	@ApiModelProperty(value = "采购金额")
	private BigDecimal inMoney;

	@ApiModelProperty(value = "采购数量")
	private Double inNum;

	@ApiModelProperty(value = "采购赠卡数量")
	private Double inGiftcardNum;

	@ApiModelProperty(value = "采购单价")
	private BigDecimal inPrice;

	@ApiModelProperty(value = "出库单价")
	private BigDecimal outPrice;

	@ApiModelProperty(value = "销售单价")
	private BigDecimal salePrice;

	@ApiModelProperty(value = "实际结算数量")
	private Double accountNum;

	@ApiModelProperty(value = "销售赠卡数量")
	private Double saleGiftcardNum;

	@ApiModelProperty(value = "实际结算金额")
	private BigDecimal accountMoney;

	@ApiModelProperty(value = "结余金额")
	private BigDecimal balanceMoney;

	@ApiModelProperty(value = "结余正价卡数量")
	private Double balanceNormalCard;

	@ApiModelProperty(value = "结余赠卡数量")
	private Double balanceGiftcard;

	@ApiModelProperty(value = "销售出库渠道")
	private String outChannel;

	@ApiModelProperty(value = "销售出库时间")
	private String coutTime;

	@ApiModelProperty(value = "备注")
	private String mcomment;


}
