package org.springblade.imports.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FctStandingBookQuery {

	@ApiModelProperty(value = "渠道名称 渠道1,渠道2,渠道3")
	private String channelName;

	@ApiModelProperty(value = "产品名称 产品1,产品2,产品3")
	private String productName;

	@ApiModelProperty(value = "导入人姓名")
	private String accountName;

	@ApiModelProperty(value = "入库 1 出库 2")
	private Integer inOut;

	@ApiModelProperty(value = "开始时间")
	private String startTime;

	@ApiModelProperty(value = "结束时间")
	private String endTime;

}
