package org.springblade.imports.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.imports.entity.FctStandingBookAgain;
import org.springblade.imports.mapper.FctStandingBookAgainMapper;
import org.springblade.imports.query.FctStandingBookAgainQuery;
import org.springblade.imports.service.IFctStandingBookAgainService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2023-03-13
 */
@Service
@DS("slave")
public class FctStandingBookAgainServiceImpl extends ServiceImpl<FctStandingBookAgainMapper, FctStandingBookAgain> implements IFctStandingBookAgainService {

    @Autowired
    private FctStandingBookAgainMapper fctStandingBookAgainMapper;

    @Override
    public IPage<FctStandingBookAgain> getPageByQuery(IPage<Object> page, FctStandingBookAgainQuery pageQuery) {
       return fctStandingBookAgainMapper.getPageByQuery(page,pageQuery);
    }

    @Override
    public List<FctStandingBookAgain> getListByQuery(FctStandingBookAgainQuery query) {
        return fctStandingBookAgainMapper.getListByQuery(query);
    }

    @Override
    public Long getDid() {
        return fctStandingBookAgainMapper.getDid();
    }
}
