package org.springblade.imports.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.imports.entity.ImpUnicomArpuDou;
import org.springblade.imports.mapper.ImpUnicomArpuDouMapper;
import org.springblade.imports.service.IImpUnicomArpuDouService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Service
@DS("slave")
public class ImpUnicomArpuDouServiceImpl extends ServiceImpl<ImpUnicomArpuDouMapper, ImpUnicomArpuDou> implements IImpUnicomArpuDouService {

	@Autowired
	private ImpUnicomArpuDouMapper impUnicomArpuDouMapper;

	@Override
	public void insertBatch(List<ImpUnicomArpuDou> list) {
		impUnicomArpuDouMapper.insertBatch(list);
	}

}
