package org.springblade.prize.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-19
 */
@Data
@TableName("blade_prize")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BladePrize对象", description = "奖品管理")
public class BladePrize extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 奖品名称
     */
	@ApiModelProperty(value = "奖品名称")
    private String name;

	@ApiModelProperty(value = "奖品ID")
	private String prizeId;

    /**
     * 奖品类型
     */
	@ApiModelProperty(value = "奖品类型ID")
    private Integer prizeTypeId;

    /**
     * 奖品单成本
     */
	@ApiModelProperty(value = "奖品单成本")
    private BigDecimal costPrice;


}
