package org.springblade.product.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.product.dto.query.ProductPageQuery;
import org.springblade.product.entity.BladeProduct;

/**
 * <p>
 * 产品管理表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */
public interface IBladeProductService extends IService<BladeProduct> {

    IPage<BladeProduct> getPageByQuery(IPage<BladeProduct> page, ProductPageQuery pageQuery);
}
