package org.springblade.product.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.product.entity.ProductSubCategory;
import org.springblade.product.mapper.ProductSubCategoryMapper;
import org.springblade.product.service.IProductSubCategoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-07-30
 */
@Service
public class ProductSubCategoryServiceImpl extends ServiceImpl<ProductSubCategoryMapper, ProductSubCategory> implements IProductSubCategoryService {

	@Autowired
	private ProductSubCategoryMapper productSubCategoryMapper;


	@Override
	public IPage<ProductSubCategory> getPageByQuery(IPage<ProductSubCategory> page) {
		return productSubCategoryMapper.getPageByQuery(page);
	}
}
