package org.springblade.responsible.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.responsible.dto.query.ResponsiblePageQuery;
import org.springblade.responsible.dto.vo.BladeResponsibleVo;
import org.springblade.responsible.entity.BladeResponsible;

/**
 * <p>
 * 负责人管理表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
public interface IBladeResponsibleService extends IService<BladeResponsible> {

	IPage<BladeResponsibleVo> getPageByQuery(IPage<BladeResponsibleVo> page, ResponsiblePageQuery pageQuery);

}
