package org.springblade.activity.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-06-22
 */
@Data
@Accessors(chain = true)
public class BladeActivityPrize implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "活动ID")
    private Long activityId;

	@ApiModelProperty(value = "奖品名称")
    private String name;

	@ApiModelProperty(value = "奖品类型")
    private Long prizeType;

	@ApiModelProperty(value = "奖品ID")
    private String prizeId;

	@ApiModelProperty(value = "奖品单成本")
    private BigDecimal costPrice;

	@ApiModelProperty(value = "奖品总成本")
	private BigDecimal totalCost;

	@ApiModelProperty(value = "奖品等级")
	private Integer prizeLevel;

	@ApiModelProperty(value = "奖品数量")
	private Integer prizeCount;

	@ApiModelProperty(value = "实际消耗总量")
	private Integer usedCount;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	@ApiModelProperty(value = "状态")
	private Integer status;


}
