package org.springblade.activity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.activity.dto.query.ActivityPageQuery;
import org.springblade.activity.dto.vo.BladeActivityPageVo;
import org.springblade.activity.entity.BladeActivity;

/**
 * <p>
 * 活动管理表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-04-21
 */
public interface BladeActivityMapper extends BaseMapper<BladeActivity> {

	IPage<BladeActivityPageVo> getPageByQuery(IPage<BladeActivityPageVo> page, @Param("query") ActivityPageQuery pageQuery);
}
