package org.springblade.activity.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.activity.dto.vo.HisFlowOrderKcVO;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2022-08-04
 */
public interface HisFlowOrderOtherMapper {

	@Select("SELECT\n" +
		"    cpid,userid\n" +
		"FROM ${tableName} where userid = #{phone}")
	List<HisFlowOrderKcVO> getCpidByPhone(@Param("phone") String phone,@Param("tableName") String tableName);

}
