package org.springblade.activity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.activity.dto.query.ActivityPageQuery;
import org.springblade.activity.dto.vo.BladeActivityPageVo;
import org.springblade.activity.entity.BladeActivity;

/**
 * <p>
 * 活动管理表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-04-21
 */
public interface IBladeActivityService extends IService<BladeActivity> {

	IPage<BladeActivityPageVo> getPageByQuery(IPage<BladeActivityPageVo> page, ActivityPageQuery pageQuery);
}
