package org.springblade.activity.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.activity.dto.vo.ForeignUnsubscribeKcVO;
import org.springblade.activity.mapper.ForeignApiMapper;
import org.springblade.activity.service.IForeignApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 活动管理表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-04-21
 */
@Service
@DS("clickhouse")
public class ForeignApiServiceImpl implements IForeignApiService {

	@Autowired
	private ForeignApiMapper foreignApiMapper;

	@Override
	public ForeignUnsubscribeKcVO getDetailByPhone(String phone) {
		return foreignApiMapper.getDetailByPhone(phone);
	}
}
