package org.springblade.activity.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.activity.dto.vo.HisFlowOrderKcVO;
import org.springblade.activity.mapper.HisFlowOrderOtherMapper;
import org.springblade.activity.service.IHisFlowOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-08-04
 */
@Service
@DS("queryslave")
public class HisFlowOrderServiceImpl implements IHisFlowOrderService {

	@Autowired
	private HisFlowOrderOtherMapper hisFlowOrderMapper;

	@Override
	public List<HisFlowOrderKcVO> getCpidByPhone(String phone, String tableName) {
		return hisFlowOrderMapper.getCpidByPhone(phone,tableName);
	}
}
