package org.springblade.audit.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 呼叫中心记录表
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
@Data
@TableName("YKSYT_REFUND_FOR_CP")
@ExcelIgnoreUnannotated
public class YksytRefundForCpDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "月份")
	@ExcelProperty(index = 0)
	@TableField("THEMONTH")
	private Long themonth;

	@ApiModelProperty(value = "归属省")
	@ExcelProperty(index = 1)
	@TableField("PROVINCE")
	private String province;

	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(index = 2)
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "对应CP")
	@ExcelProperty(index = 3)
	@TableField("CPNAME")
	private String cpname;

	@ApiModelProperty(value = "退费金额")
	@ExcelProperty(index = 4)
	@TableField("REFUND_MONEY")
	private String refundMoney;



}
