package org.springblade.audit.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-12-02
 */
@Data
public class  AuditUploadFile implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
    private Long id;

	@ApiModelProperty(value = "月份")
	private Long theMonth;

	@ApiModelProperty(value = "报表分类")
    private String reportType;

	@ApiModelProperty(value = "报表分类名称")
	@TableField(exist = false)
	private String reportTypeName;

	@ApiModelProperty(value = "报表名称")
    private String reportName;

	@ApiModelProperty(value = "报表路径")
    private String reportPath;

	@ApiModelProperty(value = "上传人ID")
    private Long uploadId;

	@ApiModelProperty(value = "上传人")
	@TableField(exist = false)
	private String  uploadName;

	@ApiModelProperty(value = "审核人ID")
    private Long auditId;

	@ApiModelProperty(value = "审核人")
	@TableField(exist = false)
	private String auditName;

	@ApiModelProperty(value = "审核状态 1 审核中 2 审核通过 3 审核驳回")
    private Integer status;

	@ApiModelProperty(value = "备注")
    private String remark;

	@ApiModelProperty(value = "审核时间")
    private Date auditTime;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;


}
