package org.springblade.audit.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 不规范定制处罚明细数据
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IntProvinceIrregular implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 数据导入月份
     */
    private Long themonth;

    /**
     * 投诉单号
     */
    private String tsId;

    /**
     * 业务名称
     */
    private String spname;

    /**
     * 产品ID
     */
    private String spid;

    /**
     * 号码
     */
    private String userid;

    /**
     * 结单月份
     */
    private Long accMonth;

    /**
     * 省份
     */
    private String province;


}
