package org.springblade.audit.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 出账清单
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IntTmpAccountList implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 数据导入月份
	 */
	private Long themonth;

	/**
	 * vacproductid
	 */
	private String vacproductid;

	/**
	 * 手机号
	 */
	private String userid;





}
