package org.springblade.audit.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.audit.entity.AuditComplaintDetail;
import org.springblade.audit.mapper.AuditComplaintDetailMapper;
import org.springblade.audit.service.IAuditComplaintDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.customer.entity.CustomerReport;
import org.springblade.customer.query.CustomerReportQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客服数据表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-10
 */
@Service
public class AuditComplaintDetailServiceImpl extends ServiceImpl<AuditComplaintDetailMapper, AuditComplaintDetail> implements IAuditComplaintDetailService {

	@Autowired
	private AuditComplaintDetailMapper auditComplaintDetailMapper;

	@Override
	public IPage<CustomerReport> getPageByQuery(IPage<CustomerReport> page, CustomerReportQuery pageQuery) {
		return auditComplaintDetailMapper.getPageByQuery(page,pageQuery);
	}
}
