package org.springblade.audit.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.audit.entity.AuditUploadFile;
import org.springblade.audit.mapper.AuditUploadFileMapper;
import org.springblade.audit.query.AuditFilePageQuery;
import org.springblade.audit.service.IAuditUploadFileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.AutoConfigurationPackage;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-02
 */
@Service
public class AuditUploadFileServiceImpl extends ServiceImpl<AuditUploadFileMapper, AuditUploadFile> implements IAuditUploadFileService {

	@Autowired
	private AuditUploadFileMapper auditUploadFileMapper;

	@Override
	public IPage<AuditUploadFile> getPageByQuery(IPage<AuditUploadFile> page, AuditFilePageQuery pageQuery) {
		return auditUploadFileMapper.getPageByQuery(page,pageQuery);
	}
}
