package org.springblade.audit.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.audit.entity.AuditUploadUser;
import org.springblade.audit.mapper.AuditUploadUserMapper;
import org.springblade.audit.query.AuditPageQuery;
import org.springblade.audit.service.IAuditUploadUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-02
 */
@Service
public class AuditUploadUserServiceImpl extends ServiceImpl<AuditUploadUserMapper, AuditUploadUser> implements IAuditUploadUserService {

	@Autowired
	private AuditUploadUserMapper auditUploadUserMapper;

	@Override
	public IPage<AuditUploadUser> getPageByQuery(IPage<AuditUploadUser> page, AuditPageQuery pageQuery) {
		return auditUploadUserMapper.getPageByQuery(page,pageQuery);
	}
}
