package org.springblade.audit.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.audit.entity.BladeReportTask;
import org.springblade.audit.mapper.BladeReportTaskMapper;
import org.springblade.audit.service.IBladeReportTaskService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 任务表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-14
 */
@Service
public class BladeReportTaskServiceImpl extends ServiceImpl<BladeReportTaskMapper, BladeReportTask> implements IBladeReportTaskService {

	@Autowired
	private BladeReportTaskMapper bladeReportTaskMapper;

	@Override
	public IPage<BladeReportTask> getPageByQuery(IPage<BladeReportTask> page, Long userId) {
		return bladeReportTaskMapper.getPageByQuery(page,userId);
	}
}
