package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.audit.entity.FctCsComplaintDetail;
import org.springblade.audit.mapper.FctCsComplaintDetailMapper;
import org.springblade.audit.service.IFctCsComplaintDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 投诉回传数据表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-08
 */
@Service
@DS("slave")
public class FctCsComplaintDetailServiceImpl extends ServiceImpl<FctCsComplaintDetailMapper, FctCsComplaintDetail> implements IFctCsComplaintDetailService {

	@Autowired
	private FctCsComplaintDetailMapper fctCsComplaintDetailMapper;

	@Override
	public void deleteWorkSheet() {
		fctCsComplaintDetailMapper.deleteWorkSheet();
	}

	@Override
	public void fctCopyMid() {
		fctCsComplaintDetailMapper.fctCopyMid();
	}
}
