package org.springblade.bignet.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 大网数据报表管理表
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
@Data
@Accessors(chain = true)
public class BladeBignetReport implements Serializable {

    private static final long serialVersionUID = 1L;

	@TableId(value = "id", type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
	private Long id;

	@ApiModelProperty(value = "报表名称")
    private String reportName;

	@ApiModelProperty(value = "报表路径")
    private String reportPath;

	@ApiModelProperty(value = "大网分类ID")
    private Long bignetId;

	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	@ApiModelProperty(value = "修改时间")
    private Date updateTime;


}
