package org.springblade.bignet.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.bignet.dto.query.BladeBignetReportPageQuery;
import org.springblade.bignet.entity.BladeBignetReport;
import org.springblade.complaints.entity.BladeCustomerComplaintsReport;

/**
 * <p>
 * 大网数据报表管理表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
public interface BladeBignetReportMapper extends BaseMapper<BladeBignetReport> {

	IPage<BladeCustomerComplaintsReport> getPageByQuery(IPage<BladeCustomerComplaintsReport> page, @Param("query") BladeBignetReportPageQuery pageQuery);
}
