package org.springblade.bignet.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.bignet.dto.query.BladeBignetReportPageQuery;
import org.springblade.bignet.entity.BladeBignetReport;
import org.springblade.complaints.entity.BladeCustomerComplaintsReport;

/**
 * <p>
 * 大网数据报表管理表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
public interface IBladeBignetReportService extends IService<BladeBignetReport> {

	IPage<BladeCustomerComplaintsReport> getPageByQuery(IPage<BladeCustomerComplaintsReport> page, BladeBignetReportPageQuery pageQuery);
}
