package org.springblade.bignet.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.bignet.dto.query.BladeBignetReportPageQuery;
import org.springblade.bignet.entity.BladeBignetReport;
import org.springblade.bignet.mapper.BladeBignetReportMapper;
import org.springblade.bignet.service.IBladeBignetReportService;
import org.springblade.complaints.entity.BladeCustomerComplaintsReport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 大网数据报表管理表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
@Service
public class BladeBignetReportServiceImpl extends ServiceImpl<BladeBignetReportMapper, BladeBignetReport> implements IBladeBignetReportService {

	@Autowired
	private BladeBignetReportMapper bladeBignetReportMapper;

	@Override
	public IPage<BladeCustomerComplaintsReport> getPageByQuery(IPage<BladeCustomerComplaintsReport> page, BladeBignetReportPageQuery pageQuery) {
		return bladeBignetReportMapper.getPageByQuery(page,pageQuery);
	}
}
