package org.springblade.capcancel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.capcancel.entity.CapCancelList;
import org.springblade.capcancel.vo.CapCancelListVO;

import java.util.List;

/**
 * <p>
 * CAP统一失效清单 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-08-25
 */
public interface CapCancelListMapper extends BaseMapper<CapCancelList> {

	List<CapCancelListVO> getListByMonth(@Param("month") String month);
}
