package org.springblade.capcancel.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.capcancel.entity.CapCancelList;
import org.springblade.capcancel.mapper.CapCancelListMapper;
import org.springblade.capcancel.service.ICapCancelListService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.capcancel.vo.CapCancelListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * CAP统一失效清单 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-08-25
 */
@Service
@DS("slave")
public class CapCancelListServiceImpl extends ServiceImpl<CapCancelListMapper, CapCancelList> implements ICapCancelListService {

	@Autowired
	private CapCancelListMapper capCancelListMapper;

	@Override
	public List<CapCancelListVO> getListByMonth(String month) {
		return capCancelListMapper.getListByMonth(month);
	}
}
