package org.springblade.capcancel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Data
@TableName("CAP_CANCEL_LIST")
@ExcelIgnoreUnannotated
public class CapCancelListVO implements Serializable {

	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "spid")
	@ExcelProperty(value = {"spid"},index = 0)
	private String spid;

	@ApiModelProperty(value = "spname")
	@ExcelProperty(value = {"spname"},index = 1)
	private String spname;

	@ApiModelProperty(value = "订购时间")
	@ExcelProperty(value = {"订购时间"},index = 2)
	private String ordertime;

	@ApiModelProperty(value = "手机号码")
	@ExcelProperty(value = {"手机号码"},index = 3)
	private String userid;

	@ApiModelProperty(value = "省份")
	@ExcelProperty(value = {"省份"},index = 4)
	private String province;

	@ApiModelProperty(value = "城市")
	@ExcelProperty(value = {"城市"},index = 5)
	private String area;



}
