package org.springblade.capcancel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 本地有CAP没有
 * </p>
 *
 * @author zbc
 * @since 2021-08-26
 */
@Data
@ExcelIgnoreUnannotated
@ColumnWidth(35)
@HeadRowHeight(20)
@ContentRowHeight(18)
@HeadFontStyle(bold = true, fontHeightInPoints = 12)
public class CapNoKcYesVO implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "spid")
	@ExcelProperty(value = {"spid"},index = 0)
    private String spid;

	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(value = {"产品名称"},index = 1)
    private String spname;

	@ApiModelProperty(value = "当月平台有但cap没有的总量：A")
	@ExcelProperty(value = {"当月平台有但cap没有的总量：A"},index = 2)
    private Long kcYesCapNo;

	@ApiModelProperty(value = "其中：A结果里面-平台当月已退订量——B")
	@ExcelProperty(value = {"其中：A结果里面-平台当月已退订量——B"},index = 3)
    private Long cancelednum;


}
