package org.springblade.channel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.channel.dto.query.ChannelPageQuery;
import org.springblade.channel.entity.BladeChannel;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
public interface BladeChannelMapper extends BaseMapper<BladeChannel> {

    IPage<BladeChannel> getPageByQuery(IPage<BladeChannel> page, @Param("query") ChannelPageQuery pageQuery);
}
