package org.springblade.customer.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 流量一点看全-10010投诉
 * </p>
 *
 * @author zbc
 * @since 2023-02-08
 */
@Data
@TableName("LL_ALLIN1_CS_10010")
public class LlAllin1Cs10010 implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 月份
     */
    private Integer themonth;

    /**
     * 日期
     */
    private String theday;

    /**
     * 号码归属省分名称
     */
    private String province;

    /**
     * 号码归属地市名称
     */
    private String area;

    /**
     * 业务号码
     */
    private String userid;

    /**
     * 工单流水号
     */
    private String worksheetid;

    /**
     * 产品代码
     */
    private String productid;

    /**
     * 产品名称
     */
    private String productname;

    /**
     * 星级名称
     */
    private String startlevel;

    /**
     * 六大类工单类型名称
     */
    private String wsTypeSix;

    /**
     * 新客服工单类型名称
     */
    private String wsTypeNew;

    /**
     * 工单建单时间
     */
    private String createtime;

    /**
     * 工单归档时间
     */
    private String archivetime;

    /**
     * 渠道类型名称
     */
    private String channeltype;

    /**
     * 专业线
     */
    private String profLine;

    /**
     * 大类名称
     */
    private String parentType;

    /**
     * 小类名称
     */
    private String subtype;

    /**
     * 受理渠道名称
     */
    private String acceptChannel;

    /**
     * 投诉问题定位名称
     */
    private String csQuesBelongto;

    /**
     * 责任归属专业名称
     */
    private String deptInChargeOf;

    /**
     * 业务类别名称
     */
    private String servicetypename;

    /**
     * 投诉急迫性名称
     */
    private String urgencyName;

    /**
     * 投诉重要性名称
     */
    private String importanceName;

    /**
     * 是否升级
     */
    private String upgrade;

    /**
     * 规定总时限
     */
    private String timeLimit;

    /**
     * 实际处理总工作时长
     */
    private String dealTime;

    /**
     * 审核派发工作时长
     */
    private String checkTime;

    /**
     * 是否超时办结
     */
    private String timeout;

    /**
     * 总自然时长
     */
    private String ntimeTotal;

    /**
     * 审核派发自然时长
     */
    private String ntimeCheck;

    /**
     * 回访自然时长
     */
    private String ntimeRv;

    /**
     * 客户投诉描述
     */
    private String csContent;

    /**
     * 业务产品类别名称
     */
    private String prodtypeName;

    /**
     * 套餐名称
     */
    private String suitName;

    /**
     * 整合-新客服工单类型
     */
    private String wsTypeNew2;

    /**
     * 部门
     */
    private String department;

    /**
     * 合作伙伴编码
     */
    private String spcode;

    private String channelid;


}
