package org.springblade.customer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.customer.entity.CustomerReportCategory;
import org.springblade.customer.query.CustomerReportQuery;

/**
 * <p>
 * 客服数据分类表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-10-20
 */
public interface CustomerReportCategoryMapper extends BaseMapper<CustomerReportCategory> {

	IPage<CustomerReportCategory> getPageByQuery(IPage<CustomerReportCategory> page, @Param("query") CustomerReportQuery pageQuery);

}
