package org.springblade.customer.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.customer.entity.CustomerReportCategory;
import org.springblade.customer.mapper.CustomerReportCategoryMapper;
import org.springblade.customer.query.CustomerReportQuery;
import org.springblade.customer.service.ICustomerReportCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客服数据分类表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-10-20
 */
@Service
public class CustomerReportCategoryServiceImpl extends ServiceImpl<CustomerReportCategoryMapper, CustomerReportCategory> implements ICustomerReportCategoryService {

	@Autowired
	private CustomerReportCategoryMapper customerReportCategoryMapper;

	@Override
	public IPage<CustomerReportCategory> getPageByQuery(IPage<CustomerReportCategory> page, CustomerReportQuery pageQuery) {
		return customerReportCategoryMapper.getPageByQuery(page,pageQuery);
	}
}
