package org.springblade.dataextraction.enity;

import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/** 
  *  
 * @author William Lin  
 *
*/

@Data
@TableName("DIM_PRODUCT_CATEGORY")
public class DimProductCategory  implements java.io.Serializable  {

private static final long serialVersionUID = 1L;

@TableField(value="ID")
private Integer id; //序号

@TableField(value="CATEGORYID")
private String categoryId; //大类ID

@TableField(value="CATEGORYNAME")
private String categoryName; //大类名称

@TableField(value="CPID2")
private String cpid2; //小类ID2

@TableField(value="CPID")
private String cpid; //小类ID

@TableField(value="CPNAME")
private String cpname; //小类名称

@TableField(value="SPID")
private String spid; //产品ID

@TableField(value="SPNAME")
private String spname; //产品名称

@TableField(value="CPORDER")
private Long cporder; //CP排序权重

@TableField(value="VACPRODUCTID")
private String vacProductId; //VAC产品ID

@TableField(value="SPCODE")
private String spcode; //SP编码

@TableField(value="SPCODENAME")
private String spcodeName; //SP代码名称

@TableField(value="PRICE")
private Integer price; //价格

@TableField(value="REGTIME")
private Date regTime; //注册时间

@TableField(value="STARTDATE")
private Date startDate; //开始时间

@TableField(value="ENDDATE")
private Date endDate; //结束时间

@TableField(value="FLOWTYPE")
private String flowType; //流量类型

@TableField(value="MAXFLOW")
private String maxflow; //最大流量

@TableField(value="SHORTNAME")
private String shortName; //产品短名称

@TableField(value="ISIMPORTANT")
private Integer isImportant; //是否重点产品

@TableField(value="CPTYPE")
private String cptype; //科创产品大类ID

@TableField(value="ISORDER")
private String isOrder; //是否在售，1：在，0：不在

@TableField(value="ISDIANBO")
private String isDianbo; //是否为点播产品，1：点播，2：包月

@TableField(value="ISPRM")
private String isprm; //是否为PRM，1：是，2：否，0：都有

@TableField(value="INMEAL")
private String inmeal; //套内外产品标记，1：套内，2：套外

@TableField(value="INCOMESTYLE")
private String incomestyle; //内外部收入类型，1：仅内部，2：仅外部，3：都涉及

@TableField(value="IWIGHT")
private Integer iwight; //重点产品权重

@TableField(value="KC_SPID")
private String kcSpid; //科创侧产品ID

@TableField(value="PRODUCT_ID")
private Long productId; //华盛侧产品ID

@TableField(value="SXXHY_SETID")
private Long sxxhySetid; //随心选会员集合ID

@TableField(value="VIPS")
private Long vips; //领取会员数

@TableField(value="CPTYPE2")
private String cptype2; //产品小类

@TableField(value="CATEGORYNAME2")
private String categoryName2; //小类名称

@TableField(value="FULL_CPTYPE")
private String fullCptype; //唯一产品类别ID

@TableField(value="VIP_PRICE")
private Long vipPrice; //权益会员价格

@TableField(value="WEIGHT")
private Long weight; //
}