package org.springblade.dataextraction.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务分页查询条件参数
 * 
 * @author william
 *
 */
@Data
public class TaskParam {
	@ApiModelProperty("任务名称")
	private String mcomment;

	@ApiModelProperty("页码")
	private Integer pageNo = 1;

	@ApiModelProperty("每页数量")
	private Integer pageSize = 20;

	@ApiModelProperty("开始时间，格式：yyyy-MM-dd")
	private String startTime;

	@ApiModelProperty("截止时间，格式：yyyy-MM-dd")
	private String endTime;
}
