package org.springblade.dataextraction.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务结果分页查询条件参数
 * 
 * @author william
 *
 */
@Data
public class TaskResultParam {
	@ApiModelProperty("任务ID")
	private Integer taskId;

	@ApiModelProperty("页码")
	private Integer pageNo = 1;

	@ApiModelProperty("每页数量")
	private Integer pageSize = 20;
}
