package org.springblade.dataextraction.service;

import java.util.List;

import org.springblade.dataextraction.enity.DimCTypeSmall;
import org.springblade.dataextraction.enity.DimProductCategory;
import org.springblade.dataextraction.mapper.DimProductCategoryMapper;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Desc
 * @Author William
 * @DateTime 2022 下午4:32:45
 */
@DS("slave")
@Service
public class DimProductCategoryService extends ServiceImpl<DimProductCategoryMapper, DimProductCategory> {

	public List<DimCTypeSmall> listSmallCate(String cptype){
		return baseMapper.listSmallCate(cptype);
	}
	
	public List<DimProductCategory> listProduct(String fullCptype){
		return baseMapper.listProduct(fullCptype);
	}
}
