/**
 *
 */
package org.springblade.finance.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.finance.entity.FinanceBillAuditUser;

import java.io.Serializable;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("推送结算单参数")
public class ParamPushDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "结算单IDS")
	private List<Long> sids;

	@ApiModelProperty(value = "所属结算次数(1-第一次，2-第二次)")
	private Integer auditType;

	@ApiModelProperty(value = "审核人列表")
	private List<FinanceBillAuditUser> userList;
}
