package org.springblade.finance.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 内部结算-分省结算明细视图
 * </p>
 *
 * @author zbc
 * @since 2022-12-16
 */
@Data
@TableName("V_INNER_DEAL_PROV_DETAIL")
public class InnerDealProvDetailView implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "结算单序号")
    private Long sid;

    @ApiModelProperty(value = "月份")
    private Long themonth;

    @ApiModelProperty(value = "结算单类型")
    private String dealType;

    @ApiModelProperty(value = "结算方名称")
    private String company;

    @ApiModelProperty(value = "产品ID")
    private String spid;

    @ApiModelProperty(value = "产品代码")
    private String prmid;

    @ApiModelProperty(value = "省分")
    private String province;

    @ApiModelProperty(value = "产品名称")
    private String spname;

    @ApiModelProperty(value = "PRM业务名称")
    private String spnamePrm;

    @ApiModelProperty(value = "产品价格")
    private BigDecimal price;

    @ApiModelProperty(value = "结算单价")
    private BigDecimal dealPrice;

    @ApiModelProperty(value = "结算用户数")
    private Long usernum;

    @ApiModelProperty(value = "结算金额")
    private BigDecimal money;


}
