package org.springblade.finance.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 优酷收银台渠道发展优酷20元产品的用户表
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class YksytUserdev implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 新增月份
     */
    private Integer newaddMonth;

    /**
     * 有效月份
     */
    private Integer validMonth;

    /**
     * 发展数量
     */
    private Long ordernum;

    /**
     * 渠道ID
     */
    private String channelid;

    /**
     * 产品ID
     */
    private String spid;


}
