/**
 *
 */
package org.springblade.finance.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springblade.finance.entity.DateRangeAccount;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface DateRangeAccountMapper extends BaseMapper<DateRangeAccount> {

	@Update("UPDATE INT_ONDATERANGE_ACCOUNT\n" +
		"        SET FLAG_RENDER = #{isFlag}, RENDER_USER = #{userId},RENDER_TIME = sysdate\n" +
		"        WHERE SID = #{sid}")
	boolean editFlagRenderFirst(@Param("sid") Long sid, @Param("isFlag") Integer isFlag, @Param("userId") Long userId);

	@Update("UPDATE INT_ONDATERANGE_ACCOUNT\n" +
		"        SET FLAG_RENDER2 = #{isFlag}, RENDER_USER2 = #{userId},RENDER_TIME2 = sysdate\n" +
		"        WHERE SID = #{sid}")
	boolean editFlagRenderSecond(@Param("sid") Long sid, @Param("isFlag") Integer isFlag, @Param("userId") Long userId);

}
