package org.springblade.finance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.finance.entity.YksytChannelSpid;
import org.springblade.finance.vo.ChannelSpidVO;

import java.util.List;

/**
 * <p>
 * 其它结算渠道产品对照表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
public interface YksytChannelSpidMapper extends BaseMapper<YksytChannelSpid> {

    IPage<ChannelSpidVO> getPageByQuery(IPage<ChannelSpidVO> page,@Param("asList") List<String> asList);

	IPage<ChannelSpidVO> getInterestPageByQuery(IPage<ChannelSpidVO> page,@Param("asList") List<String> asList);

}
