package org.springblade.finance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.finance.entity.YksytChannelSpid;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.finance.query.ChannelSpidPageQuery;
import org.springblade.finance.vo.ChannelSpidVO;

import java.util.List;

/**
 * <p>
 * 其它结算渠道产品对照表 服务类
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
public interface IYksytChannelSpidService extends IService<YksytChannelSpid> {


	IPage<ChannelSpidVO> getInterestPageByQuery(IPage<ChannelSpidVO> page, List<String> asList);

	IPage<ChannelSpidVO> getPageByQuery(IPage<ChannelSpidVO> page, List<String> strings);
}
