/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.finance.entity.InnerAccountSid;
import org.springblade.finance.mapper.InnerAccountSidMapper;
import org.springblade.finance.service.IInnerAccountSidService;
import org.springframework.stereotype.Service;

/**
 * 内部结算-结算单唯一固定编号表 服务实现类
 *
 * @author zbc
 * @since 2022-07-20
 */
@Service
@DS("slave")
public class InnerAccountSidServiceImpl extends ServiceImpl<InnerAccountSidMapper, InnerAccountSid> implements IInnerAccountSidService {

}
