package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.finance.entity.IntChannels;
import org.springblade.finance.mapper.IntChannelsMapper;
import org.springblade.finance.service.IIntChannelsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 互联网结算渠道表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-11-24
 */
@Service
@DS("slave")
public class IntChannelsServiceImpl extends ServiceImpl<IntChannelsMapper, IntChannels> implements IIntChannelsService {

	@Autowired
	private IntChannelsMapper intChannelsMapper;

	@Override
	public boolean editFlagRender(Long sid, Integer isFlag,Long userId) {
		return intChannelsMapper.editFlagRender(sid,isFlag,userId);
	}
}
