package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.finance.entity.YksytChannelSpid;
import org.springblade.finance.mapper.YksytChannelSpidMapper;
import org.springblade.finance.query.ChannelSpidPageQuery;
import org.springblade.finance.service.IYksytChannelSpidService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.finance.vo.ChannelSpidVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 其它结算渠道产品对照表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Service
@DS("slave")
public class YksytChannelSpidServiceImpl extends ServiceImpl<YksytChannelSpidMapper, YksytChannelSpid> implements IYksytChannelSpidService {

	@Autowired
	private YksytChannelSpidMapper yksytChannelSpidMapper;


	@Override
	public IPage<ChannelSpidVO> getPageByQuery(IPage<ChannelSpidVO> page, List<String> asList) {
		return yksytChannelSpidMapper.getPageByQuery(page,asList);
	}

	@Override
	public IPage<ChannelSpidVO> getInterestPageByQuery(IPage<ChannelSpidVO> page, List<String> asList) {
		return yksytChannelSpidMapper.getInterestPageByQuery(page,asList);
	}
}
