/**
 *
 */
package org.springblade.finance.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wookvn
 *
 */
@Data
public class DateRangeAccountFzzVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "月份")
	@ExcelProperty(value = {"月份"},index = 0)
	private Long themonth;

	@ApiModelProperty(value = "号码")
	@ExcelProperty(value = {"号码"},index = 1)
	private String acceptPhonenum;

	@ApiModelProperty(value = "业务名称")
	@ExcelProperty(value = {"业务名称"},index = 2)
	private String spname;

	@ApiModelProperty(value = "省分")
	@ExcelProperty(value = {"省分"},index = 3)
	private String province;

	@ApiModelProperty(value = "金额（元）")
	@ExcelProperty(value = {"金额（元）"},index = 4)
	private String applyMoney;


}
