package org.springblade.imports.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Data
@TableName("FCT_STANDING_BOOK")
@ExcelIgnoreUnannotated
public class FctStandingBookDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@TableField("DID")
	private Long dId;

	@ApiModelProperty(value = "结算时间")
	@ExcelProperty(index = 0)
	@TableField("THEMONTH")
	private String themonth;

	@ApiModelProperty(value = "产品名称")
	@ExcelProperty(index = 1)
	@TableField("SPNAME")
	private String spname;

	@ApiModelProperty(value = "采购金额")
	@ExcelProperty(index = 2)
	@TableField("IN_MONEY")
	private String inMoney;

	@ApiModelProperty(value = "采购数量")
	@ExcelProperty(index = 3)
	@TableField("IN_NUM")
	private String inNum;

	@ApiModelProperty(value = "采购赠卡数量")
	@ExcelProperty(index = 4)
	@TableField("IN_GIFTCARD_NUM")
	private String inGiftcardNum;

	@ApiModelProperty(value = "采购单价")
	@ExcelProperty(index = 5)
	@TableField("IN_PRICE")
	private String inPrice;

	@ApiModelProperty(value = "出库单价")
	@ExcelProperty(index = 6)
	@TableField("OUT_PRICE")
	private String outPrice;

	@ApiModelProperty(value = "销售单价")
	@ExcelProperty(index = 7)
	@TableField("SALE_PRICE")
	private String salePrice;

	@ApiModelProperty(value = "实际结算数量")
	@ExcelProperty(index = 8)
	@TableField("ACCOUNT_NUM")
	private String accountNum;

	@ApiModelProperty(value = "销售赠卡数量")
	@ExcelProperty(index = 9)
	@TableField("SALE_GIFTCARD_NUM")
	private String saleGiftcardNum;

	@ApiModelProperty(value = "实际结算金额")
	@ExcelProperty(index = 10)
	@TableField("ACCOUNT_MONEY")
	private String accountMoney;

	@ApiModelProperty(value = "系统出库数量")
	@ExcelProperty(index = 11)
	@TableField("SYSTEM_NUM")
	private String systemNum;

	@ApiModelProperty(value = "结余金额")
	@ExcelProperty(index = 12)
	@TableField("BALANCE_MONEY")
	private String balanceMoney;

	@ApiModelProperty(value = "结余正价卡数量")
	@ExcelProperty(index = 13)
	@TableField("BALANCE_NORMAL_CARD")
	private String balanceNormalCard;

	@ApiModelProperty(value = "结余赠卡数量")
	@ExcelProperty(index = 14)
	@TableField("BALANCE_GIFTCARD")
	private String balanceGiftcard;

	@ApiModelProperty(value = "销售出库渠道")
	@ExcelProperty(index = 15)
	@TableField("OUT_CHANNEL")
	private String outChannel;

	@ApiModelProperty(value = "销售出库时间")
	@ExcelProperty(index = 16)
	@TableField("COUT_TIME")
	private String coutTime;

	@ApiModelProperty(value = "备注")
	@ExcelProperty(index = 17)
	@TableField("MCOMMENT")
	private String mcomment;


}
