package org.springblade.imports.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.imports.entity.FctStandingBookAgain;
import org.springblade.imports.query.FctStandingBookAgainQuery;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2023-03-13
 */
public interface FctStandingBookAgainMapper extends BaseMapper<FctStandingBookAgain> {

    IPage<FctStandingBookAgain> getPageByQuery(IPage<Object> page, @Param("query") FctStandingBookAgainQuery pageQuery);

    List<FctStandingBookAgain> getListByQuery(@Param("query")  FctStandingBookAgainQuery query);

    Long getDid();

}
