package org.springblade.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.product.dto.query.ProductPageQuery;
import org.springblade.product.entity.BladeProduct;

/**
 * <p>
 * 产品管理表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */
public interface BladeProductMapper extends BaseMapper<BladeProduct> {

    IPage<BladeProduct> getPageByQuery(IPage<BladeProduct> page, @Param("query") ProductPageQuery pageQuery);
}
