package org.springblade.product.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.product.dto.query.ProductPageQuery;
import org.springblade.product.entity.BladeProduct;
import org.springblade.product.mapper.BladeProductMapper;
import org.springblade.product.service.IBladeProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 产品管理表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-04-09
 */
@Service
public class BladeProductServiceImpl extends ServiceImpl<BladeProductMapper, BladeProduct> implements IBladeProductService {

	@Autowired
	private BladeProductMapper bladeProductMapper;

	@Override
	public IPage<BladeProduct> getPageByQuery(IPage<BladeProduct> page, ProductPageQuery pageQuery) {
		return bladeProductMapper.getPageByQuery(page,pageQuery);
	}
}
