package org.springblade.responsible.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 负责人管理表
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
@Data
public class BladeResponsibleVo implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("负责人主键ID")
    private Long id;

	@ApiModelProperty("负责人姓名")
    private String name;

	@ApiModelProperty("负责人电话")
    private String phone;

	@ApiModelProperty("负责人邮箱")
    private String email;

	@ApiModelProperty("负责人部门")
    private String department;

	@ApiModelProperty("负责人职务")
    private String position;

	@ApiModelProperty("创建时间")
    private Date createTime;

	@ApiModelProperty("修改时间")
    private Date updateTime;

	@ApiModelProperty("负责活动数")
	private Integer activityNum;


}
