package org.springblade.responsible.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.responsible.dto.query.ResponsiblePageQuery;
import org.springblade.responsible.dto.vo.BladeResponsibleVo;
import org.springblade.responsible.entity.BladeResponsible;

/**
 * <p>
 * 负责人管理表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
public interface BladeResponsibleMapper extends BaseMapper<BladeResponsible> {

	IPage<BladeResponsibleVo> getPageByQuery(IPage<BladeResponsibleVo> page, @Param("query") ResponsiblePageQuery pageQuery);

}
