package org.springblade.responsible.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.responsible.dto.query.ResponsiblePageQuery;
import org.springblade.responsible.dto.vo.BladeResponsibleVo;
import org.springblade.responsible.entity.BladeResponsible;
import org.springblade.responsible.mapper.BladeResponsibleMapper;
import org.springblade.responsible.service.IBladeResponsibleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 负责人管理表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-04-19
 */
@Service
public class BladeResponsibleServiceImpl extends ServiceImpl<BladeResponsibleMapper, BladeResponsible> implements IBladeResponsibleService {

	@Autowired
	private BladeResponsibleMapper bladeResponsibleMapper;

	@Override
	public IPage<BladeResponsibleVo> getPageByQuery(IPage<BladeResponsibleVo> page, ResponsiblePageQuery pageQuery) {
		return bladeResponsibleMapper.getPageByQuery(page,pageQuery);
	}
}
